Subject: [Megaco] error handling

From: Matt Holdrege <[email-masked]>
Date: Tue, 15 Jan 2002 03:11:50 -0800

I was thinking about error handling and looked at RFC 3015 for some text to 
see if there are any MUST's or SHOULD's for how to handle invalid messages 
or parameters. I see Section 7.3, but I don't see any text which mandates 
the use.

Is this an oversight? Is this being considered for V2?

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Marcello Pantaleo (EED)" <[email-masked]>
Date: Tue, 15 Jan 2002 13:44:49 +0100

You shold have a look at H.248 Annex L. You find a copy at:

ftp://standards.nortelnetworks.com/megaco/docs/Approved/

/MP

---

From: "Marcello Pantaleo (EED)" <[email-masked]>
Date: Tue, 15 Jan 2002 13:44:49 +0100

/MP

---

From: Matt Holdrege <[email-masked]>
Date: Tue, 15 Jan 2002 05:17:07 -0800

Annex L doesn't have any text which describes what MUST be sent if a MEGACO 
endpoint detects an error. I'm thinking about text which says something 
like "if you receive an unknown command or parameter you MUST respond with 
such and such"

---

From: Matt Holdrege <[email-masked]>
Date: Tue, 15 Jan 2002 05:17:07 -0800

---

From: "Marcello Pantaleo (EED)" <[email-masked]>
Date: Tue, 15 Jan 2002 14:32:50 +0100

I don't think you will find such a thing and I don't think
this is an oversight.
Annex L defines all the possible error that it's possible to
have. Looking at the description you may infer what error is needed
in a specific situation.
Nontheless in the H.248 core specification in many cases (not 
all the possible cases)it is explicitely stated which error code 
it should be used in a particular situation. I imagine that also
in the procedure section of a package it is possible to specify
which error code to use but at the moment I can't remember any 
examples.

/MP

---

From: "Marcello Pantaleo (EED)" <[email-masked]>
Date: Tue, 15 Jan 2002 14:32:50 +0100

/MP